Package org.zkoss.stateless.sul

## Interface IMenuseparator

- All Superinterfaces:
    `IChildrenOfMenupopup<IMenuseparator>`, `IComponent<IMenuseparator>`, `IHtmlBasedComponent<IMenuseparator>`, `IXulElement<IMenuseparator>`

      public interface IMenuseparator
      extends IXulElement<IMenuseparator>, IChildrenOfMenupopup<IMenuseparator>

  Immutable `Menuseparator` component

  Used to create a separator between menu items.

  Author:
    katherine
  See Also:
    `Menuseparator`

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface | Description
    --- | --- | ---
    `static class` | `IMenuseparator.Builder` | Builds instances of type `IMenuseparator`.
    `static class` | `IMenuseparator.Updater` | Builds an updater of type `IMenuseparator` for `UiAgent.smartUpdate(Locator, SmartUpdater)`.

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static IMenuseparator` | `DEFAULT` | Constant for default attributes of this immutable component.

  - ### Method Summary

    All Methods Static Methods Instance Methods Default Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `default java.lang.String` | `getWidgetClass()` | Returns the client widget class.
    `static IMenuseparator` | `ofId​(java.lang.String id)` | Returns the instance with the given id.

    - ### Methods inherited from interface org.zkoss.stateless.sul.IComponent

      `getAction, getActions, getClientAttributes, getId, getMold, getWidgetListeners, getWidgetOverrides, isVisible, withAction, withAction, withAction, withAction, withAction, withAction, withAction, withAction, withAction, withAction, withAction, withActions, withActions, withClientAttribute, withClientAttributes, withId, withMold, withVisible, withWidgetClass, withWidgetListener, withWidgetListeners, withWidgetOverride, withWidgetOverrides`

    - ### Methods inherited from interface org.zkoss.stateless.sul.IHtmlBasedComponent

      `getClientAction, getDraggable, getDroppable, getHeight, getHflex, getLeft, getRenderdefer, getSclass, getStyle, getTabindex, getTooltiptext, getTop, getVflex, getWidth, getZclass, getZIndex, isFocus, withClientAction, withDraggable, withDroppable, withFocus, withHeight, withHflex, withLeft, withRenderdefer, withSclass, withStyle, withTabindex, withTabindex, withTooltiptext, withTop, withVflex, withWidth, withZclass, withZIndex`

    - ### Methods inherited from interface org.zkoss.stateless.sul.IXulElement

      `getContext, getCtrlKeys, getPopup, getTooltip, withContext, withCtrlKeys, withPopup, withTooltip`

- - ### Field Detail

    - #### DEFAULT

          static final IMenuseparator DEFAULT

      Constant for default attributes of this immutable component.

  - ### Method Detail

    - #### getWidgetClass

          default java.lang.String getWidgetClass()

      Returns the client widget class.

      Default: `"zul.menu.Menuseparator"`

      Specified by:
        `getWidgetClass` in interface `IComponent<IMenuseparator>`

    - #### ofId

          static IMenuseparator ofId​(java.lang.String id)

      Returns the instance with the given id.
      Parameters:
        `id` - The id to identify this component